import React from 'react';
import ReactDOM from 'react-dom';


const width = 960;
const height = 500;
/*const centerX = width / 2;
const centerY = height / 2;*/
const circleRadius = 30
const posicaoInicial = { x: width/2 , y:height/2}



const App = () => {
const [mousePosition, setMousePosition] = React.useState(posicaoInicial)

const handleMouseMove = React.useCallback((event) =>{
  console.log('mouse move')
  const { clientX, clientY} = event
setMousePosition({x:clientX, y:clientY})
  console.log({clientX, clientY})

}, [setMousePosition])

return(

      <svg width={width} height={height} onMouseMove={handleMouseMove}>
      <circle
        cx={mousePosition.x}
        cy={mousePosition.y}
        r={circleRadius}
     />
      
     
    </svg>
        )
}


const rootElement = document.getElementById(
  'root'
);
ReactDOM.render(<App />, rootElement);
